markad(1)

NAME
MarkAd - marks advertisements in VDR recordings.

SYNOPSIS
markad [options]

DESCRIPTION
MarkAd marks advertisements in VDR recordings.

OPTIONS

Usage: markad [options] <cmd> <recording>

-b , --background
    markad runs as a background process; this will be automatically set if called with "after"

-l , --logocachedir
    directory where predefined logos were stored, default /var/lib/markad
    Note: Channels sometimes change their logo. If logos kept in the cache are out of date, this will result in bad mark results.

--autologo=<option>
    <option> 0 = use logo only from logo cache directory
               1 = extract logo from recording, if fails use logo from logo cache
               2 = use logo from logo cache directory, if missing extract logo from recording (default)
    If no suitable logo file is found, markad will try to find the logo in the video and store the result in the recording directory.

--fulldecode
    decode all video frame types use it only on powerful CPUs, it will double overall run time

--cut
    cut video based on marks and store it in the recording directory there are no splits of the target file, make sure your filesystem can handle big files

--smartencode
    this option is only available on command line usage requires --cut re-encode only short before and short after cut position

--fullencode=<streams>
    this option is only available for command line usage requires --cut full re-encode video generated by --cut use it only on powerful CPUs, it will double overall run time <streams> all = keep all video and audio streams of the recording
               best = only encode best video and best audio stream, drop rest

-p , --priority=<priority>
    software priority of markad when running in background
    <priority> from -20...19, default 19

-r , --ioprio=<class>[,<level>]
    I/O priority of markad when running in background
    <class> 1 = realtime, <level> from 0..7, default 4
                2 = besteffort, <level> from 0..7, default 4
                3 = idle (default)
    Make sure your I/O scheduler supports scheduling priorities and classes (e.g. BFQ or CFQ).

-v , --verbose
    increments loglevel by one, can be given multiple times

-B , --backupmarks
    make a backup of existing marks

-L , --extractlogo=<direction>[,width[,height]]
    extracts logo to recording directory as pgm files (must be renamed)
    <direction> 0 = top left, 1 = top right
                 2 = bottom left, 3 = bottom right
                 [width] range from 50 to 480, default 192 (SD) / 288 (HD)
                 [height] range from 20 to 250, default 100 (SD) / 180 (HD)

-O , --OSD
    markad sends an OSD message for start and end

-R , --log2rec
    write log files into recording directory

-T , --threads=<number>
    number of threads used for decoding, max. 16 (default is the number of CPUs)

-V , --version
    print version info and exit

--loglevel=<level>
    sets log level to the specified value
    <level> 1 = error
                 2 = info
                 3 = debug
                 4 = trace

--markfile=<markfilename>
    set a different marks filename

--nopid
    disables creation of markad.pid file in the recording directory

--online[=1|2]
    only used by markad plugin internal call, do not use it for command line start
    default is 1
    start markad immediately when called with "before" as cmd
    If online is 1, markad starts online for live recordings only, online=2 starts markad online for every recording. Live recordings are identified by having a '@' in the filename, so the entry 'Mark instant recording' in the menu Setup > Recording of the VDR should be set to 'yes'.

--svdrphost=<ip/hostname> (default is 127.0.0.1)
    IP or hostname of a remote VDR for OSD messages

--ac3reencode
    re-encode AC3 stream to fix low audio level of cut video on same devices requires --cut use only if really needed, as this consumes significant CPU resources

--hwaccel=<hardware_acceleration_methode>
    use hardware acceleration for decoding all methods supported by FFmpeg (ffmpeg -hide_banner -hwaccels) e.g.: vaapi, vdpau, vulkan, cuda ...

--perftest
    run decoder performance test and compare software and hardware decoder

--vps
    use VPS events from markad.vps to optimize start and stop marks

--svdrpport=<port>  ( default is 6419 )
     port of a remote VDR for OSD messages

<cmd> one of:
    - dummy parameter if called directly
    nice runs markad directly and with nice(19)
    after markad started by VDR after the recording is complete
                 only used by markad plugin internal call, do not use it for command line start
    before markad started by VDR before the recording is complete, only valid together with --online
                 only used by markad plugin internal call, do not use it for command line start
    edited markad started by VDR in edit function and exits immediately
                 only used by markad plugin internal call, do not use it for command line start
<record> is the name of the directory where the recording is stored

EXIT STATUS

0   Successful program execution

1   An non-recoverable error has been detected, markad has given up. See stderr, syslog or log file in the recording directory for more information

AUTHOR
Written by Jochen Dolze <vdr@dolze.de>

REPORTING BUGS
Report bugs to https://github.com/kfb77/vdr-plugin-markad/issues

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. See the file COPYING for more information.